org.hibernate.search.elasticsearch.util.impl

## Class JsonLogHelper

- java.lang.Object
- - org.hibernate.search.elasticsearch.util.impl.JsonLogHelper

-     public class JsonLogHelper
      extends Object

  Helpers allowing to log JSON.
  Author:
    Yoann Rodiere

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(StringBuilder sb, Iterable<com.google.gson.JsonObject> objects)`
    `void` | `append(StringBuilder sb, com.google.gson.JsonObject object)`
    `static JsonLogHelper` | `create(com.google.gson.GsonBuilder gsonBuilder, boolean prettyPrinting)`
    `static JsonLogHelper` | `get()`
    `com.google.gson.JsonElement` | `property(com.google.gson.JsonObject parent, String name)`
    `String` | `propertyAsString(com.google.gson.JsonElement parent, String name)`
    `String` | `toString(Iterable<com.google.gson.JsonObject> objects)`
    `String` | `toString(com.google.gson.JsonObject object)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### get

          public static JsonLogHelper get()

    - #### create

          public static JsonLogHelper create(com.google.gson.GsonBuilder gsonBuilder,
                                             boolean prettyPrinting)

    - #### toString

          public String toString(com.google.gson.JsonObject object)

    - #### append

          public void append(StringBuilder sb,
                             com.google.gson.JsonObject object)

    - #### toString

          public String toString(Iterable<com.google.gson.JsonObject> objects)

    - #### append

          public void append(StringBuilder sb,
                             Iterable<com.google.gson.JsonObject> objects)

    - #### property

          public com.google.gson.JsonElement property(com.google.gson.JsonObject parent,
                                                      String name)

    - #### propertyAsString

          public String propertyAsString(com.google.gson.JsonElement parent,
                                         String name)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved